### org.jfree.layouting.renderer.process

# Class TableRowHeightStep.TableInfoStructure

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.TableRowHeightStep.TableInfoStructure`

Enclosing Class:
  TableRowHeightStep

`public static class TableRowHeightStep.TableInfoStructure`
`extends java.lang.Object`

  ## Constructor Summary

  `TableInfoStructure(TableRenderBox table)`

  ## Method Summary

  `TableColumnModel`

  `getColumnModel()`

  `long`

  `getPosition()`

  `TableRow`

  `getRow()`

  `TableRowModel`

  `getRowModel()`

  `int`

  `getRowNumber()`

  `TableRenderBox`

  `getTable()`

  `void`

  `increaseRowNumber()`

  `void`

  `setPosition(long position)`

  `void`

  `setRowModel(TableRowModel rowModel)`

## Constructor Details

### TableInfoStructure

    public TableInfoStructure(TableRenderBox table)

## Method Details

### getColumnModel

    public TableColumnModel getColumnModel()

### getPosition

    public long getPosition()

### getRow

    public TableRow getRow()

### getRowModel

    public TableRowModel getRowModel()

### getRowNumber

    public int getRowNumber()

### getTable

    public TableRenderBox getTable()

### increaseRowNumber

    public void increaseRowNumber()

### setPosition

    public void setPosition(long position)

### setRowModel

    public void setRowModel(TableRowModel rowModel)